#!/bin/bash

BASEPATH="$(dirname "$0")"
source "$BASEPATH/volume-utils.sh"

# Read the JSON input and extract the list of keys
keys=$(get_persistent_volume_keys "/root/rpc/$1.yml")

total_size=0

# Iterate over the list of keys
for key in $keys; do
    #echo "checking: /var/lib/docker/volumes/rpc_$key"

    prefix="/var/lib/docker/volumes/rpc_$key"

    volume_size=$(du -sL $prefix 2>/dev/null | awk '{print $1}')

    total_size=$((total_size + volume_size))
done

echo "$total_size"
